# eric7.Plugins.VcsPlugins.vcsPySvn.SvnBlameDialog

Module implementing a dialog to show the output of the svn blame command.

### Global Attributes

None

### Classes

SvnBlameDialog | Class implementing a dialog to show the output of the svn blame command.

### Functions

None

## SvnBlameDialog

Class implementing a dialog to show the output of the svn blame command.

### Derived from

QDialog, SvnDialogMixin, Ui_SvnBlameDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnBlameDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a blame item in the blame list.
__resizeColumns | Private method to resize the list columns.
__showError | Private slot to show an error message.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the svn blame command.

### Static Methods

None

#### SvnBlameDialog (Constructor)

SvnBlameDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnBlameDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnBlameDialog.__generateItem

__generateItem(revision, author, lineno, text)

Private method to generate a blame item in the blame list.

revision
  revision string (string)
author
  author of the change (string)
lineno
  linenumber (string)
text
  line of text from the annotated file (string)

#### SvnBlameDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### SvnBlameDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string)

#### SvnBlameDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnBlameDialog.start

start(fn)

Public slot to start the svn blame command.

fn
  filename to show the blame for (string)

Up